summaryrefslogtreecommitdiffstats
path: root/vlc-skins
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2007-03-17 00:23:17 +0000
committer Eric Hameleers <alien@slackware.com>2007-03-17 00:23:17 +0000
commit88e0e9eb397eb7fba42b2e3a4aa1e0d4a601109e (patch)
treefc5b56a926debaf712098ed2bdeb65c591d4dd84 /vlc-skins
parent4cdc05924cd3deedcc05d5c846d9698d96b52857 (diff)
downloadasb-88e0e9eb397eb7fba42b2e3a4aa1e0d4a601109e.tar.gz
asb-88e0e9eb397eb7fba42b2e3a4aa1e0d4a601109e.tar.xz
Initial revision
Diffstat (limited to 'vlc-skins')
-rw-r--r--vlc-skins/build/slack-desc19
-rwxr-xr-xvlc-skins/build/vlc-skins.SlackBuild177
2 files changed, 196 insertions, 0 deletions
diff --git a/vlc-skins/build/slack-desc b/vlc-skins/build/slack-desc
new file mode 100644
index 00000000..73818e02
--- /dev/null
+++ b/vlc-skins/build/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+vlc-skins: vlc-skins (skins for videolan client)
+vlc-skins:
+vlc-skins: Launch VLC with a skinned interface.
+vlc-skins:
+vlc-skins:
+vlc-skins:
+vlc-skins:
+vlc-skins:
+vlc-skins:
+vlc-skins: vlc-skins home: http://www.videolan.org/vlc/
+vlc-skins:
diff --git a/vlc-skins/build/vlc-skins.SlackBuild b/vlc-skins/build/vlc-skins.SlackBuild
new file mode 100755
index 00000000..22dfe04d
--- /dev/null
+++ b/vlc-skins/build/vlc-skins.SlackBuild
@@ -0,0 +1,177 @@
+#!/bin/sh
+# $Id$
+# Copyright (c) 2007 Eric Hameleers <alien@slackware.com>
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: vlc-skins
+# Descr: skins for videolan client
+# URL: http://www.videolan.org/vlc/
+# Needs:
+# Changelog:
+# 0.8.6a-1: 16/Mar/2007 by Eric Hameleers <alien@slackware.com>
+# * Initial build.
+#
+# Run 'sh vlc-skins.SlackBuild --cleanup' to build a Slackware package.
+# The package (.tgz) plus descriptive .txt file are created in /tmp .
+# Install using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# --- INIT ---
+# Set initial variables:
+
+PRGNAM=vlc-skins
+VERSION=${VERSION:-0.8.6a}
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+
+DOCS="ABOUT* AUTHORS BUGS ChangeLog* COPYING CREDITS FAQ GPL* HACKING \
+ LICENSE MAINTAINERS NEWS README* TODO"
+
+# Where do we look for sources?
+CWD=`pwd`
+SRCDIR=`dirname $0`
+[ "${SRCDIR:0:1}" == "." ] && SRCDIR=${CWD}/${SRCDIR}
+
+# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
+TMP=${TMP:-/tmp/build}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Input URL: http://www.videolan.org/vlc/skins2/vlc-skins.zip
+SOURCE="$SRCDIR/${PRGNAM}-${VERSION}.zip"
+SRCURL="http://www.videolan.org/vlc/skins2/${PRGNAM}.zip"
+
+##
+## --- with a little luck, you won't have to edit below this point --- ##
+##
+
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
+if [ ! -d $TMP/tmp-$PRGNAM ]; then
+ mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+elif [ "$P1" != "--oldbuild" ]; then
+ # If the "--oldbuild" parameter is present, we keep
+ # the old build files and continue;
+ # By default we remove the remnants of previous build and continue:
+ rm -rf $TMP/tmp-$PRGNAM/*
+fi
+
+if [ ! -d $PKG ]; then
+ mkdir -p $PKG # place for the package to be built
+else
+ rm -rf $PKG/* # We always erase old package's contents:
+fi
+
+if [ ! -d $OUTPUT ]; then
+ mkdir -p $OUTPUT # place for the package to be saved
+fi
+
+
+# --- SOURCE FILE AVAILABILITY ---
+
+if ! [ -f ${SOURCE} ]; then
+ if ! [ "x${SRCURL}" == "x" ]; then
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/`basename $SOURCE`"
+ echo "Source '`basename ${SOURCE}`' not available yet..."
+ echo "Will download file to `dirname $SOURCE`"
+ wget -nv -O "${SOURCE}" "${SRCURL}" || true
+ if [ $? -ne 0 ]; then
+ echo "Downloading '`basename ${SOURCE}`' failed... aborting the build."
+ mv -f "${SOURCE}" "${SOURCE}".FAIL
+ exit 1
+ fi
+ else
+ echo "File '`basename ${SOURCE}`' not available... aborting the build."
+ exit 1
+ fi
+fi
+
+if [ "$P1" == "--download" ]; then
+ echo "Download complete."
+ exit 0
+fi
+
+# --- PACKAGE BUILDING ---
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+cd $TMP/tmp-$PRGNAM
+echo "Extracting the source archive(s) for $PRGNAM..."
+if `file ${SOURCE} | grep -q ": bzip2"`; then
+ tar -xjvf ${SOURCE}
+elif `file ${SOURCE} | grep -q ": gzip"`; then
+ tar -xzvf ${SOURCE}
+elif `file ${SOURCE} | grep -iq ": zip"`; then
+ unzip ${SOURCE}
+fi
+chown -R root:root *
+chmod -R u+w,go+r-w,a-s *
+
+# Install to the package dir
+cd ${PRGNAM}-${VERSION}
+mkdir -p $PKG/usr/share/vlc/skins2
+mv * $PKG/usr/share/vlc/skins2
+
+
+# --- OWNERSHIP, RIGHTS ---
+
+chmod -R o-w $PKG
+
+
+# --- PACKAGE DESCRIPTION ---
+
+mkdir -p $PKG/install
+cat $SRCDIR/slack-desc > $PKG/install/slack-desc
+if [ -f $SRCDIR/doinst.sh ]; then
+ cat $SRCDIR/doinst.sh >> $PKG/install/doinst.sh
+fi
+
+
+# --- BUILDING ---
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+cd $OUTPUT
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5
+cd -
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
+
+
+# --- CLEANUP ---
+
+# Clean up the extra stuff:
+if [ "$P1" = "--cleanup" ]; then
+ rm -rf $TMP/tmp-$PRGNAM
+ rm -rf $PKG
+fi